umbrello: umbrello/umlscene.cpp File Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
umlscene.cpp File Reference
`#include "umlscene.h"`
`#include "activitywidget.h"`
`#include "actorwidget.h"`
`#include "artifactwidget.h"`
`#include "association.h"`
`#include "associationwidget.h"`
`#include "assocrules.h"`
`#include "attribute.h"`
`#include "boxwidget.h"`
`#include "classifier.h"`
`#include "classifierwidget.h"`
`#include "classoptionspage.h"`
`#include "component.h"`
`#include "cmds.h"`
`#include "componentwidget.h"`
`#include "datatype.h"`
`#include "diagram_utils.h"`
`#include "pinportbase.h"`
`#include "datatypewidget.h"`
`#include "debug_utils.h"`
`#include "dialog_utils.h"`
`#include "docwindow.h"`
`#include "entity.h"`
`#include "entitywidget.h"`
`#include "enumwidget.h"`
`#include "floatingtextwidget.h"`
`#include "folder.h"`
`#include "foreignkeyconstraint.h"`
`#include "forkjoinwidget.h"`
`#include "idchangelog.h"`
`#include "interfacewidget.h"`
`#include "import_utils.h"`
`#include "layoutgenerator.h"`
`#include "layoutgrid.h"`
`#include "messagewidget.h"`
`#include "model_utils.h"`
`#include "notewidget.h"`
`#include "object_factory.h"`
`#include "objectnodewidget.h"`
`#include "objectwidget.h"`
`#include "package.h"`
`#include "packagewidget.h"`
`#include "pinwidget.h"`
`#include "portwidget.h"`
`#include "seqlinewidget.h"`
`#include "signalwidget.h"`
`#include "statewidget.h"`
`#include "toolbarstate.h"`
`#include "toolbarstatefactory.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umldragdata.h"`
`#include "umlfiledialog.h"`
`#include "umllistview.h"`
`#include "umllistviewitem.h"`
`#include "umlobject.h"`
`#include "umlobjectlist.h"`
`#include "umlrole.h"`
`#include "umlscenepopupmenu.h"`
`#include "umlview.h"`
`#include "umlviewimageexporter.h"`
`#include "umlwidget.h"`
`#include "uniqueid.h"`
`#include "widget_factory.h"`
`#include "widget_utils.h"`
`#include "widgetlist_utils.h"`
`#include <KMessageBox>`
`#include <kcursor.h>`
`#include <KLocalizedString>`
`#include <QColor>`
`#include <QLineF>`
`#include <QPainter>`
`#include <QPixmap>`
`#include <QPrinter>`
`#include <QString>`
`#include <QStringList>`
`#include <QXmlStreamWriter>`
`#include <cmath>`

## Classes
class | UMLScenePrivate

## Macros
#define | DBG_SRC QStringLiteral("UMLScene")

## Functions
QDebug | operator<< (QDebug dbg, UMLScene *item)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("UMLScene")

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | dbg,
|  | UMLScene * | item )

Overloading operator for debugging output.